 {%- assign current_variant = product.selected_or_first_available_variant -%}
  {%- assign featured_image = current_variant.featured_image | default: product.featured_image -%}

  <meta itemprop="name" content="{{ product.title }}{% unless product.has_only_default_variant %} - {{ current_variant.title }}{% endunless %}">
  <meta itemprop="url" content="{{ shop.url }}{{ current_variant.url }}">
  <meta itemprop="image" content="{{ featured_image | img_url: '600x600' }}">
  <meta itemprop="description" content="{{ product.description | strip_html | escape }}">
  
<div data-section-id="{{ section.id }}" data-section-type="product" data-enable-history-state="true" itemscope itemtype="http://schema.org/Product">

  <div class="row">

    <div class="col-12 col-md-3">
    
      <div class="sidebar pr-6">

        <div class="product-detail">
          <h1 class="product-name avenir-bold h5 pt-3 mb-0" itemprop="name">
            {{ product.title }}
          </h1>
          <div class="price-wrapper mb-2">
            <span class="price-sales avenir-bold" itemprop="price">{{ current_variant.price | money }}</span>
            {% if product.compare_at_price_max > product.price %}
              <s class="price-standard pl-1">
                {% if current_variant.compare_at_price > current_variant.price %}
                  {{ current_variant.compare_at_price | money }}
                {% endif %}
              </s>
            {% endif %}
          </div>
        </div>
        
        <div class="product-content" itemprop="offers" itemscope itemtype="http://schema.org/Offer">
        
          <meta itemprop="priceCurrency" content="{{ shop.currency }}">
          <meta itemprop="price" content="{{ current_variant.price | divided_by: 100.00 }}">
          <link itemprop="availability" href="http://schema.org/{% if current_variant.available %}InStock{% else %}OutOfStock{% endif %}">

          <form action="/cart/add" method="post" enctype="multipart/form-data">

            {% unless product.has_only_default_variant %}
              {% for option in product.options_with_values %}
                <div class="form-group mb-2">
                  <label class="label d-none" for="SingleOptionSelector-{{ forloop.index0 }}">
                    {{ option.name }}
                  </label>
                  <select
                    id="SingleOptionSelector-{{ forloop.index0 }}"
                    data-single-option-selector
                    data-index="option{{ option.position }}" class="form-control custom-select">
                    <option value="0">Selecciona</option>
                    {% for value in option.values %}
                      <option
                        value="{{ value | escape }}"
                        {% if option.selected_value == value %}selected="selected"{% endif %}>
                          {{ value }}
                      </option>
                    {% endfor %}
                  </select>
                </div>
              {% endfor %}
            {% endunless %}
            
            <div class="row no-gutters">
              <div class="col-6">
                <div class="form-group mb-2 pr-1">
                  <select name="id" class="custom-select form-control" data-product-select>
                    {% for variant in product.variants %}
                      <option
                        {% if variant == current_variant %}selected="selected"{% endif %}
                        {% unless variant.available %}disabled="disabled"{% endunless %}
                        value="{{ variant.id }}">
                          {{ variant.title }}
                      </option>
                    {% endfor %}
                  </select>
                </div>
              </div>
              <div class="col-6">
                <div class="form-group mb-2 pl-1">
                  <label class="label d-none" for="Quantity">Cantidad</label>
                  <select name="quantity" id="quantity" class="form-control custom-select" id="Quantity">
                    <option value="1">1</option>
                    <option value="2">2</option>
                    <option value="3">3</option>
                    <option value="4">4</option>
                    <option value="5">5</option>
                    <option value="6">6</option>
                    <option value="7">7</option>
                    <option value="8">8</option>
                  </select>
                </div>
              </div>
            </div>

            <button class="btn btn-secondary w-100" type="submit" name="add" data-add-to-cart
              {% unless current_variant.available %}disabled="disabled"{% endunless %}>
                {% if current_variant.available %}
                  {{ 'products.buttons.add_to_cart' | t }}
                {% else %}
                  {{ 'products.buttons.sold_out' | t }}
                {% endif %}
            </button>

          </form>
          
          {% if product.images.size > 1 %}
            <ul class="list-unstyled list-inline d-flex flex-nowrap border-top m-0 mt-3 pt-3 pb-1">
              {% for image in product.images %}
                <li class="list-inline-item mb-2">
                  <a href="{{ image.src | img_url: '480x480' }}" data-product-single-thumbnail>
                    <img class="img-fluid" src="{{ image.src | img_url: 'thumb', crop: 'center' }}" alt="{{ image.alt | escape }}">
                  </a>
                </li>
              {% endfor %}
            </ul>
          {% endif %}

          <div class="form-group">
            {% if section.settings.show_share_buttons %}
              {% include 'social-sharing', share_title: product.title, share_permalink: product.url, share_image: product %}
            {% endif %}

            {% unless product == empty %}
              <script type="application/json" data-product-json>
                {{ product | json }}
              </script>
            {% endunless %}
          </div>

        </div>
        
      </div>
      {% comment %} end sidebar {% endcomment %}

    </div>

    <div class="col-12 col-md-9">

      <div class="product-image-container mt-2">
        <div class="product-single__photo text-center" id="ProductPhoto">
          {% assign featured_image = current_variant.featured_image | default: product.featured_image %}
          <a href="{{ featured_image | img_url: 'master' }}" class="js-modal-open-product-modal" id="ProductPhotoLink-{{ section.id }}">
            <img src="{{ featured_image | img_url: 'grande', crop: 'center' }}" class="img-fluid" alt="{{ featured_image.alt | escape }}" id="ProductPhotoImg-{{ section.id }}">
          </a>
        </div>
      </div>

      <div class="product-details-column row justify-content-center">
        <div class="col-12 col-md-10 py-6 text-center mb-6">
          <p itemprop="description" class="product-short-desc h5 m-0 avenir-bold text-dark">
            {{ product.description | strip_html }}
          </p>
        </div>
      </div>
      
      <div class="row product-more-info small">
        <div class="col-12 col-md-8">
          <h4 class="h5 avenir-bold mb-1">{{ 'products.product-detail.features' | t }}</h4>
          <p>Lorem, ipsum dolor sit amet consectetur adipisicing elit. Ducimus cum sequi atque, deserunt officia voluptatibus a repudiandae! Sed provident possimus hic maiores aliquid impedit rerum doloribus! Obcaecati corrupti maiores quos.</p>
          <p>Lorem, ipsum dolor sit amet consectetur adipisicing elit. Ducimus cum sequi atque, deserunt officia voluptatibus a repudiandae! Sed provident possimus hic maiores aliquid impedit rerum doloribus! Obcaecati corrupti maiores quos.</p>
          <p>Lorem, ipsum dolor sit amet consectetur adipisicing elit. Ducimus cum sequi atque, deserunt officia voluptatibus a repudiandae! Sed provident possimus hic maiores aliquid impedit rerum doloribus! Obcaecati corrupti maiores quos.</p>
        </div>
        <div class="col-12 col-md-4">
          <h4 class="h5 avenir-bold mb-1">{{ 'products.product-detail.size' | t }}</h4>
          <p>Lorem, ipsum dolor sit amet consectetur adipisicing elit. Ducimus cum sequi atque, deserunt officia voluptaquos.</p>
          <h4 class="h5 avenir-bold mb-1">{{ 'products.product-detail.materials' | t }}</h4>
          <p>Lorem, ipsum dolor sit amet consectetur adipisicicia voluptatibus a repudiandae! Sed provident possimus hic maiores aliquid impedit rerum doloribus! Obcaecati corrupti maiores quos.</p>
        </div>
      </div>
      
      <div class="product-video py-6">
        <div class="embed-responsive embed-responsive-16by9">
            <iframe width="560" height="315" src="https://www.youtube.com/embed/ilmhR_EgK8Y" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>
        </div>
      </div>
      
      {% include 'related-products' %}
      
      {% include 'product-reviews' %}

    </div>

  </div>

</div>

{% schema %}
  {
    "name": "Product pages",
    "settings": [
      {
        "type": "checkbox",
        "id": "show_share_buttons",
        "label": "Show social sharing buttons",
        "default": true
      }
    ]
  }
{% endschema %}














